Bug 1895856 - httpSecret should always be set
Summary: httpSecret should always be set
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image Registry
Version: 4.1.z
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: 4.5.z
Assignee: Oleg Bulatov
QA Contact: Wenjing Zheng
URL:
Whiteboard:
Depends On: 1824834
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-11-09 09:43 UTC by OpenShift BugZilla Robot
Modified: 2021-01-22 07:16 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: the operator didn't generate httpSecret if its empty Consequence: httpSecret is not properly set when config is created with empty httpSecret (for example, for a manifest from git) Fix: generate httpSecret when it's not set Result: the operator generates httpSecret and uses it for all replicas when the config is created without it or when it is deleted from the config
Clone Of:
Environment:
Last Closed: 2020-12-01 10:48:48 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-image-registry-operator pull 636 0 None closed [release-4.5] Bug 1895856: httpSecret should be generated when it is not set 2021-01-22 06:10:05 UTC
Red Hat Product Errata RHSA-2020:5194 0 None None None 2020-12-01 10:49:34 UTC

Comment 4 errata-xmlrpc 2020-12-01 10:48:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.5.21 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5194


Note You need to log in before you can comment on or make changes to this bug.